#-*- coding: utf-8 -*-
# 
# test_lecture_fichier.py
#
# P.G Novembre 2019

# Adapter le dossier de travail si besoin
from os import chdir
path = r'P:\PRO\USB\NSI\NSI STEGANOGRAPHIE'
chdir(path)

# Chragement des bibliothèques
import struct

# Ouverture du fichier
fich=open('Mire_10x10_24bits.bmp',"rb")
# Positionnement de la tête de lecture en position 0x22 
fich.seek(0x22)
# Lecture des quatre bytes encodant la taille de l'image en octets
donnees_fichier = fich.read(4)
# Fermeture du fichier
fich.close()

# Décodage de l'entier positif sur 4 bytes, (type unsigned int du langage c)
# codé en little endian
valeur_taille = struct.unpack('<I', donnees_fichier)[0]

# Affichage des résultats
print("Lecture de la taille de l'image Mire_10x10_24bits.bmp en octets")
print("Les quatre bytes lus : ",donnees_fichier)
print("De type : ",type(donnees_fichier))
print("Valeur obtenue après décodage : ",valeur_taille)


